Package csb :: Package apps :: Module csfrag :: Class CSfragApp

[frames] | no frames]

# Class CSfragApp

source code

     object --+
              |
    Application --+
                  |
                 CSfragApp

Nested Classes
Inherited from `Application`: `__metaclass__`

Instance Methods

log(self, message, ending=`'``\n``'`, level=1) Write `message` to the logging stream and flush it. | source code

main(self) The main application hook. | source code

Inherited from `Application`: `__init__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `Application`: `exit`

Class Variables
| __abstractmethods__ = ``frozenset([``])``

Properties
Inherited from `Application`: `args` Inherited from `object`: `__class__`

Method Details

### log(self, message, ending=`'``\n``'`, level=1)

source code

Write `message` to the logging stream and flush it.

Parameters:
  - `message` - message
Overrides: Application.log
  (inherited documentation)

### main(self)

source code

The main application hook.

Overrides: Application.main
  (inherited documentation)